const jsLevenshtein = require("js-levenshtein");

function closestCommand (userText, commands) {
  let minDistance = Infinity;
  return commands.reduce((closest, cmd) => {
  console.log(`closest: ${closest}, cmd: ${cmd}`);
    const cmdDistance = jsLevenshtein(userText, cmd);
    if (cmdDistance < minDistance) {
      minDistance = cmdDistance;
      return cmd;
    }
    return closest;
  }, '');
}

const myCommands = ['quit', 'login', 'logout', 'restart', 'refresh'];
const userCommand = 'restrat';

console.log(`closest command is '${closestCommand(userCommand, myCommands)}'`);;
